import fs from "fs/promises";
import { mkdir_to, exec_i } from "../lib/builderator.js";
import { log } from "../lib/logging.js";

export const description = "Test command.";

export const options = [
  ["--fail", "cause it to fail", false]
];


export const main = async (opts) => {
  if(opts.fail) {
    log.error("Producing failure.");
    process.exit(1);
  } else {
    log.info("Exiting normally.");
    process.exit(0);
  }
}
